<ActionBar class="action-bar">
    <!-- 
    Use the NavigationButton as a side-drawer button in Android
    because ActionItems are shown on the right side of the ActionBar
    -->
    <NavigationButton ios:visibility="collapsed" icon="res://menu" (tap)="onDrawerButtonTap()"></NavigationButton>
    <!-- 
    Use the ActionItem for IOS with position set to left. Using the
    NavigationButton as a side-drawer button in iOS is not possible,
    because its function is to always navigate back in the application.
    -->
    <ActionItem icon="res://navigation/menu" android:visibility="collapsed" (tap)="onDrawerButtonTap()" ios.position="left">
    </ActionItem>
    <Label class="action-bar-title" text="Groups"></Label>
</ActionBar>
<ScrollView sdkExampleTitle sdkToggleNavButton>
    <GridLayout class="page page-content" rows="*,*,*,*" columns="*,*" height="100%">
        <StackLayout height="120" row="0" col="0" class="groupsContainer" [class.leftxxx]="loaded">
            <GridLayout height="20" rows="*" columns="*,*,*,*">
                <Label text="A" row="0" col="0" class="groupLabel thumb"></Label>
                <Label text="GF" row="0" col="1"></Label>
                <Label text="GA" row="0" col="2"></Label>
                <Label text="Pts" row="0" col="3"></Label>
            </GridLayout>
            <GridLayout *ngFor="let group of groups['A']" height="20" rows="*" columns="*,*,*,*">
                <Image row="0" col="0" [src]="'~/images/' + group.team + '.png'" width="25" height="25"></Image>
                <Label [text]="group.goals" row="0" col="1"></Label>
                <Label [text]="group.goalsAgainst" row="0" col="2"></Label>
                <Label [text]="group.points" row="0" col="3"></Label>
            </GridLayout>
        </StackLayout>
        <StackLayout height="120" row="0" col="1" class="groupsContainer" [class.rightxxx]="loaded">
            <GridLayout height="20" rows="*" columns="*,*,*,*">
                <Label text="B" row="0" col="0" class="groupLabel"></Label>
                <Label text="GF" row="0" col="1"></Label>
                <Label text="GA" row="0" col="2"></Label>
                <Label text="Pts" row="0" col="3"></Label>
            </GridLayout>
            <GridLayout *ngFor="let group of groups['B']" height="20" rows="*" columns="*,*,*,*">
                <Image row="0" col="0" [src]="'~/images/' + group.team + '.png'" width="25" height="25"></Image>
                <Label [text]="group.goals" row="0" col="1"></Label>
                <Label [text]="group.goalsAgainst" row="0" col="2"></Label>
                <Label [text]="group.points" row="0" col="3"></Label>
            </GridLayout>
        </StackLayout>
        <StackLayout height="120" row="1" col="0" class="groupsContainer" [class.leftxxx]="loaded">
            <GridLayout height="20" rows="*" columns="*,*,*,*">
                <Label text="C" row="0" col="0" class="groupLabel"></Label>
                <Label text="GF" row="0" col="1"></Label>
                <Label text="GA" row="0" col="2"></Label>
                <Label text="Pts" row="0" col="3"></Label>
            </GridLayout>
            <GridLayout *ngFor="let group of groups['C']" height="20" rows="*" columns="*,*,*,*">
                <Image row="0" col="0" [src]="'~/images/' + group.team + '.png'" width="25" height="25"></Image>
                <Label [text]="group.goals" row="0" col="1"></Label>
                <Label [text]="group.goalsAgainst" row="0" col="2"></Label>
                <Label [text]="group.points" row="0" col="3"></Label>
            </GridLayout>
        </StackLayout>
        <StackLayout height="120" row="1" col="1" class="groupsContainer" [class.rightxxx]="loaded">
            <GridLayout height="20" rows="*" columns="*,*,*,*">
                <Label text="D" row="0" col="0" class="groupLabel"></Label>
                <Label text="GF" row="0" col="1"></Label>
                <Label text="GA" row="0" col="2"></Label>
                <Label text="Pts" row="0" col="3"></Label>
            </GridLayout>
            <GridLayout *ngFor="let group of groups['D']" height="20" rows="*" columns="*,*,*,*">
                <Image row="0" col="0" [src]="'~/images/' + group.team + '.png'" width="25" height="25"></Image>
                <Label [text]="group.goals" row="0" col="1"></Label>
                <Label [text]="group.goalsAgainst" row="0" col="2"></Label>
                <Label [text]="group.points" row="0" col="3"></Label>
            </GridLayout>
        </StackLayout>
        <StackLayout height="120" row="2" col="0" class="groupsContainer" [class.leftxxx]="loaded">
            <GridLayout height="20" rows="*" columns="*,*,*,*">
                <Label text="E" row="0" col="0" class="groupLabel"></Label>
                <Label text="GF" row="0" col="1"></Label>
                <Label text="GA" row="0" col="2"></Label>
                <Label text="Pts" row="0" col="3"></Label>
            </GridLayout>
            <GridLayout *ngFor="let group of groups['E']" height="20" rows="*" columns="*,*,*,*">
                <Image row="0" col="0" [src]="'~/images/' + group.team + '.png'" width="25" height="25"></Image>
                <Label [text]="group.goals" row="0" col="1"></Label>
                <Label [text]="group.goalsAgainst" row="0" col="2"></Label>
                <Label [text]="group.points" row="0" col="3"></Label>
            </GridLayout>
        </StackLayout>
        <StackLayout height="120" row="2" col="1" class="groupsContainer" [class.rightxxx]="loaded">
            <GridLayout height="20" rows="*" columns="*,*,*,*">
                <Label text="F" row="0" col="0" class="groupLabel"></Label>
                <Label text="GF" row="0" col="1"></Label>
                <Label text="GA" row="0" col="2"></Label>
                <Label text="Pts" row="0" col="3"></Label>
            </GridLayout>
            <GridLayout *ngFor="let group of groups['F']" height="20" rows="*" columns="*,*,*,*">
                <Image row="0" col="0" [src]="'~/images/' + group.team + '.png'" width="25" height="25"></Image>
                <Label [text]="group.goals" row="0" col="1"></Label>
                <Label [text]="group.goalsAgainst" row="0" col="2"></Label>
                <Label [text]="group.points" row="0" col="3"></Label>
            </GridLayout>
        </StackLayout>
        <StackLayout height="120" row="3" col="0" class="groupsContainer" [class.leftxxx]="loaded">
            <GridLayout height="20" rows="*" columns="*,*,*,*">
                <Label text="G" row="0" col="0" class="groupLabel"></Label>
                <Label text="GF" row="0" col="1"></Label>
                <Label text="GA" row="0" col="2"></Label>
                <Label text="Pts" row="0" col="3"></Label>
            </GridLayout>
            <GridLayout *ngFor="let group of groups['G']" height="20" rows="*" columns="*,*,*,*">
                <Image row="0" col="0" [src]="'~/images/' + group.team + '.png'" width="25" height="25"></Image>
                <Label [text]="group.goals" row="0" col="1"></Label>
                <Label [text]="group.goalsAgainst" row="0" col="2"></Label>
                <Label [text]="group.points" row="0" col="3"></Label>
            </GridLayout>
        </StackLayout>
        <StackLayout height="120" row="3" col="1" class="groupsContainer" [class.rightxxx]="loaded">
            <GridLayout height="20" rows="*" columns="*,*,*,*">
                <Label text="H" row="0" col="0" class="groupLabel"></Label>
                <Label text="GF" row="0" col="1"></Label>
                <Label text="GA" row="0" col="2"></Label>
                <Label text="Pts" row="0" col="3"></Label>
            </GridLayout>
            <GridLayout *ngFor="let group of groups['H']" height="20" rows="*" columns="*,*,*,*">
                <Image row="0" col="0" [src]="'~/images/' + group.team + '.png'" width="25" height="25"></Image>
                <Label [text]="group.goals" row="0" col="1"></Label>
                <Label [text]="group.goalsAgainst" row="0" col="2"></Label>
                <Label [text]="group.points" row="0" col="3"></Label>
            </GridLayout>
        </StackLayout>
    </GridLayout>
</ScrollView>
<ActivityIndicator #activityIndicator [busy]="busy" width="100" height="100" class="activity-indicator"></ActivityIndicator>